LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::util::NumberFormat Constant Group Referencepublished

contains constants that are used to specify the type of a number format. More...

## Variables
const short | ALL = 0
| selects all number formats. More...
const short | DEFINED = 1
| selects only user-defined number formats. More...
const short | DATE = 2
| selects date formats. More...
const short | TIME = 4
| selects time formats. More...
const short | CURRENCY = 8
| selects currency formats. More...
const short | NUMBER = 16
| selects decimal number formats. More...
const short | SCIENTIFIC = 32
| selects scientific number formats. More...
const short | FRACTION = 64
| selects number formats for fractions. More...
const short | PERCENT = 128
| selects percentage number formats. More...
const short | TEXT = 256
| selects text number formats. More...
const short | DATETIME = 6
| selects number formats which contain date and time. More...
const short | LOGICAL = 1024
| selects boolean number formats. More...
const short | UNDEFINED = 2048
| is used as a return value if no format exists. More...
const short | EMPTY = 4096
const short | DURATION = 8196

## Detailed Description

contains constants that are used to specify the type of a number format.

## Variable Documentation

## ◆ ALL

const short ALL = 0

selects all number formats.

## ◆ CURRENCY

const short CURRENCY = 8

selects currency formats.

## ◆ DATE

const short DATE = 2

selects date formats.

## ◆ DATETIME

const short DATETIME = 6

selects number formats which contain date and time.

## ◆ DEFINED

const short DEFINED = 1

selects only user-defined number formats.

## ◆ DURATION

const short DURATION = 8196

## ◆ EMPTY

const short EMPTY = 4096

## ◆ FRACTION

const short FRACTION = 64

selects number formats for fractions.

## ◆ LOGICAL

const short LOGICAL = 1024

selects boolean number formats.

## ◆ NUMBER

const short NUMBER = 16

selects decimal number formats.

## ◆ PERCENT

const short PERCENT = 128

selects percentage number formats.

## ◆ SCIENTIFIC

const short SCIENTIFIC = 32

selects scientific number formats.

## ◆ TEXT

const short TEXT = 256

selects text number formats.

## ◆ TIME

const short TIME = 4

selects time formats.

## ◆ UNDEFINED

const short UNDEFINED = 2048

is used as a return value if no format exists.